%define datadir	/usr/share
%define prefix	/usr/X11R6

Name:		xfce
Summary:	Lightweight desktop environment
Version:	3.3.2
Release:	2mdk

Source:		xfce-%{version}.tar.bz2
#Source1:	xfcerc.mandrake.bz2

Group:		Graphical desktop/Other
URL:		http://www.xfce.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Copyright:	GPL

%description
Lightweight desktop environment based on gtk+, resembling C.D.E.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure --prefix=%{prefix} --datadir=%{datadir} --disable-dt
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
perl -p -i -e "s|XFCE_LOCALE_DIR = /usr/share/xfce/locale|XFCE_LOCALE_DIR = $RPM_BUILD_ROOT/usr/share/xfce/locale|" po/Makefile
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/var

(
cd $RPM_BUILD_ROOT%{datadir}/xfce
ln -sf ../icons more-icons
cd $RPM_BUILD_ROOT/var
ln -sf ..%{datadir}/xfce XFCE
)

chmod 0755 $RPM_BUILD_ROOT%{datadir}/xfce/{sample.xsession,sample.xinitrc,sample.Xclients}

strip -s $RPM_BUILD_ROOT%{prefix}/bin/* || :

bzip2 $RPM_BUILD_ROOT%{prefix}/man/man1/* || :

%post
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

%postun
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL ChangeLog AUTHORS COPYING README.UPGRADE-3.2.0
%{prefix}/bin/*
%{datadir}/xfce
%{prefix}/man/man1/*

%changelog
* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 3.3.2-2mdk
- added fndSession call

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2-1mdk
- Fix buid as user

* Fri Jan 21 2000 - David BAUDENS <baudens@mandrakesoft.com> - 3.2.5-1mdk
- 3.2.5
- Disable MandrakeSoft config files for this release
- Disable Requires for this release
- Use safe %%files
- Use %%{_tmppath} for BuildRoot

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Remove xfcedrake for 7.0

* Tue Jan 04 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 3.2.3

* Tue Dec 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add xfcedrake

* Mon Dec 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 3.2.2

* Fri Nov 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.2.0

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.1

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix paths in xfsoundrc.
- Anyone else notice the missing locale files, they are back now.
- Update file.list generation to use fine-lang.sh

* Mon Aug 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild w/o glib13

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add wa locales from pablo.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- New icons.

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix path problem

- 3.0.2
- Mandrake customisations (backgrounds, pixmap, menus).

* Thu Jul 15 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial RPM
